Package org.apache.sling.cms.core.internal.models

## Class ReferenceOperation

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.ReferenceOperation

Direct Known Subclasses:
  `ReferencesImpl`

    public abstract class ReferenceOperation
    extends Object

Abstract operation for Reference operations.

### Constructor Summary

Constructors
`protected` `ReferenceOperation​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `doProcess​(org.apache.sling.api.resource.Resource resource, String matchingKey)`
`Pattern` `getRegex()`
`void` `init()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceOperation

    protected ReferenceOperation​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### doProcess

    public abstract void doProcess​(org.apache.sling.api.resource.Resource resource,
                                   String matchingKey)

#### getRegex

    public Pattern getRegex()

#### init

    public void init()